#!/bin/sh
#
# Opennet Firmware
# 
# Copyright 2010 Rene Ejury <opennet@absorb.it>
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# 	http://www.apache.org/licenses/LICENSE-2.0
# 

. /usr/bin/on-helper.sh
. /etc/persistent/lan.conf

# get rid of any default-route !!!
ip route del $(ip route show table main | grep default)

if [ -z "$(ip rule show | grep "lookup tun")" ];then
    mainprio=$(ip rule show | awk 'BEGIN{FS="[: ]"} /main/ {print $1; exit}')
	for network in "$LAN"; do
        networkprefix=$(ip address show label $network | awk '/inet/ {print $2; exit}')
        [ -n "$networkprefix" ] && ip rule add from $networkprefix table tun prio $((mainprio+10))
    done
	ip rule add iif lo table tun prio $((mainprio+10))
fi

ip route flush table tun
#   prefer olsrd-routes for main and tunnel network
for network in $(uci get on-core.defaults.on_network); do
    ip route prepend throw $network table tun
done
ip route add default via $route_vpn_gateway table tun

iptables -t nat -A POSTROUTING -o $dev -j SNAT --to-source $ifconfig_local

echo "vpn-tunnel active" >/tmp/openvpn_msg.txt	# a short message for the web frontend
