DIR="opennet_0.6"
FWVERSION=$(awk 'BEGIN{FS="ar7240\\.|\\.sdk"}/CONFIG_UBNT_FIRMWARE_VERSION/ {print $2}' .config)

if [ "$FWVERSION" == "v5.3.3" ]; then
	# SDK 5.3.3 had a broken feeds configuration
	patch -p1 <$DIR/01-update_feedsconf_$FWVERSION.patch
fi
./scripts/feeds update

patch -p1 <$DIR/02-update_olsrd.patch 
patch -p1 <$DIR/03-update_uci.patch 
patch -p1 <$DIR/04-add_policy_routing_$FWVERSION.patch 
patch -p1 <$DIR/05-bugfix_lzma.patch
patch -p1 <$DIR/06-modify_ubnt_rc.sysinit_$FWVERSION.patch
patch -p1 <$DIR/07-change_lzma_sourceurl.patch
if [ "$FWVERSION" == "v5.3.3" ]; then
        # SDK 5.3.3 had a broken feeds configuration
	patch -p1 <$DIR/08-ntpclient_mods_$FWVERSION.patch
fi

tar xfj $DIR/files.tar.bz2

./scripts/feeds install bwm mtr olsrd openvpn libsqlite3

cp $DIR/dot_config_$FWVERSION .config

echo "peparation done, now start with 'make' or 'make V=99'"


